# WriteProductPropertiesFile

### Description

Gets the product properties from the License Server, validates the signature, and then writes them to a file on disk. The QlmLicense.DefaultWebServiceUrl must be set before calling this function.

```csharp
bool WriteProductPropertiesFile(string activationKey, string licenseFile, 
                                out string errorMessage)
```

### Parameters

| Parameter     |  Type  | Description                                  |
| ------------- | :----: | -------------------------------------------- |
| activationKey | string | activation key to query.                     |
| licenseFile   | string | the filename of the products properties file |
| errorMessage  | string | an error message if the operation fails.     |

### Return

| Type | Description                          |
| ---- | ------------------------------------ |
| bool | true if successful; otherwise false. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/writeproductpropertiesfile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
